| Demo HCI Implementation for WiMOD-LR Devices V1.3.1

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
TWiMODLR_DevMgmt_SystemStatus Struct Reference

Basic information about system status of the WiMOD. More...

`#include <SAP/WiMOD_SAP_DEVMGMT_IDs.h>`

## Public Attributes
UINT8 | Status
UINT8 | SysTickResolution
UINT32 | SysTickCounter
UINT32 | RtcTime
UINT16 | NvmStatus
UINT16 | BatteryStatus
UINT16 | ExtraStatus
UINT32 | RxPackets
UINT32 | RxAddressMatch
UINT32 | RxCRCError
UINT32 | TxPackets
UINT32 | TxError
UINT32 | TxMediaBusyEvents

## Detailed Description

Basic information about system status of the WiMOD.

## Member Data Documentation

UINT16 TWiMODLR_DevMgmt_SystemStatus::BatteryStatus

current voltage level of power supply in mV

UINT16 TWiMODLR_DevMgmt_SystemStatus::ExtraStatus

extra status bits

UINT16 TWiMODLR_DevMgmt_SystemStatus::NvmStatus

Status of the internal NVM slots

UINT32 TWiMODLR_DevMgmt_SystemStatus::RtcTime

32bit encoded current RTC timestamp (

See also
  WIMOD_RTC_* macros)

UINT32 TWiMODLR_DevMgmt_SystemStatus::RxAddressMatch

number of received radio packets with CRC and Address OK

UINT32 TWiMODLR_DevMgmt_SystemStatus::RxCRCError

number of received radio packets with CRC Error

UINT32 TWiMODLR_DevMgmt_SystemStatus::RxPackets

number of received radio packets with CRC OK

UINT8 TWiMODLR_DevMgmt_SystemStatus::Status

status flag; indicates if other values are vaild

UINT32 TWiMODLR_DevMgmt_SystemStatus::SysTickCounter

virtual systick counter value

UINT8 TWiMODLR_DevMgmt_SystemStatus::SysTickResolution

systick interval time in ms

UINT32 TWiMODLR_DevMgmt_SystemStatus::TxError

number of not transmitted radio packets

UINT32 TWiMODLR_DevMgmt_SystemStatus::TxMediaBusyEvents

number of not transmitted packets due to LBT result “media busy”

UINT32 TWiMODLR_DevMgmt_SystemStatus::TxPackets

number of transmitted radio packets

The documentation for this struct was generated from the following file:

- SAP/WiMOD_SAP_DEVMGMT_IDs.h